# 🎓 Esdoc custom theme

A customizable theme for esdoc (using modern browser features)

[![npm](https://img.shields.io/npm/v/esdoc-custom-theme.svg?style=flat-square)](https://www.npmjs.com/package/esdoc-custom-theme)
[![Standard Version](https://img.shields.io/badge/release-standard%20version-44aa44.svg?style=flat-square)](https://github.com/conventional-changelog/standard-version)
[![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg?style=flat-square)](https://raw.githubusercontent.com/sinnerschrader/esdoc-custom-theme/master/LICENSE)
[![GitHub issues](https://img.shields.io/github/issues/sinnerschrader/esdoc-custom-theme.svg?style=flat-square)](https://github.com/sinnerschrader/esdoc-custom-theme/issues)

[![Travis branch](https://img.shields.io/travis/sinnerschrader/esdoc-custom-theme/master.svg?style=flat-square)](https://travis-ci.org/sinnerschrader/esdoc-custom-theme)
[![bitHound](https://img.shields.io/bithound/code/github/sinnerschrader/esdoc-custom-theme.svg?style=flat-square)](https://www.bithound.io/github/sinnerschrader/esdoc-custom-theme)
[![bitHound](https://img.shields.io/bithound/devDependencies/github/sinnerschrader/esdoc-custom-theme.svg?style=flat-square)](https://www.bithound.io/github/sinnerschrader/esdoc-custom-theme)



[![yarn](https://img.shields.io/badge/yarn-friendly-2c8ebb.svg?style=flat-square)](https://yarnpkg.com/)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-44aa44.svg?style=flat-square)](http://commitizen.github.io/cz-cli/)


```shell
yarn add esdoc-custom-theme
```

## Documentation

[Documentation](https://sinnerschrader.github.io/esdoc-custom-theme/)

## Current features

* Search
* responsive
* developer customizable
* reader customizable
* persistent settings (via localStorage)
  * repos in the same space will share the storage 👻🎓
* light and dark mode
* 49 colorschemes to choose from
* perfect syntax highlighting for jsx (it's not common)

## Next features

* define default colorscheme per css (custom-properties/css-variable)
* load custom font via google-fonts (reader customizable)

## Screenshots

### Dark mode

<img src="https://cdn.rawgit.com/sinnerschrader/esdoc-custom-theme/master/.github/images/dark-mode.png" alt="dark mode theme"/>

### Light mode

<img src="https://cdn.rawgit.com/sinnerschrader/esdoc-custom-theme/master/.github/images/light-mode.png" alt="light mode theme"/>

### Search

<img src="https://cdn.rawgit.com/sinnerschrader/esdoc-custom-theme/master/.github/images/light-mode-search.png" alt="light mode theme search"/>

### Responsive

<img src="https://cdn.rawgit.com/sinnerschrader/esdoc-custom-theme/master/.github/images/iphone.png" alt="responsive iphone"/>

<img src="https://cdn.rawgit.com/sinnerschrader/esdoc-custom-theme/master/.github/images/iphone-menu.png" alt="responsive iphone-menu"/>

### Colorschemes

<img src="https://cdn.rawgit.com/sinnerschrader/esdoc-custom-theme/master/.github/images/theme-cobalt.png" alt="theme cobalt"/>

<img src="https://cdn.rawgit.com/sinnerschrader/esdoc-custom-theme/master/.github/images/theme-dracula.png" alt="theme dracula"/>

© Copyright 2018 [Gregor Adams](https://github.com/pixelass)  
Proudly powered by [Sinnerschrader](https://sinnerschrader.com)([Github](https://github.com/sinnerschrader))
